<!doctype html>

<html lang="en">
<head>
  <meta charset="utf-8">
  <title></title>
  <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/normalize/7.0.0/normalize.min.css">
  <link rel="stylesheet" href="//fonts.googleapis.com/css?family=Roboto">
  <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
  <link rel="stylesheet" href="index.css">
</head>

<body>
  <div class="ui-container">
    <h1 class="title">cTAKES Friendly Web UI - Sample Visit Note</h1>
    <hr/>
    <div class="left">
      <div class="text"></div>
    </div>
    <div class="right">
      <div class="key">
        <h2 class="title">Key</h2>
        <ul class="list">
        </ul>
      </div>
      <div class="stats">
        <h2 class="title">Codes</h2>
        <ul class="list">
        </ul>
      </div>
    </div>
    <div class="all-codes">
      <h2>All Codes</h2>
      <div class="tabs">
        <ul class="list"></ul>
      </div>
    </div>
  </div>
  <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
  <script src="//code.jquery.com/jquery-1.12.4.js"></script>
  <script src="//code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
  <script src="index.js"></script>
  <script>
    var rawData = [{
      "begin": 242,
      "code": "84698008",
      "end": 253,
      "text": "Cholesterol",
      "scheme": "SNOMEDCT_US",
      "type": "MedicationMention",
      "id": "6249"
    }, {
      "begin": 242,
      "code": "2438",
      "end": 253,
      "text": "Cholesterol",
      "scheme": "RXNORM",
      "type": "MedicationMention",
      "id": "6259"
    }, {
      "begin": 242,
      "code": "2438",
      "end": 253,
      "text": "Cholesterol",
      "scheme": "RXNORM",
      "type": "MedicationMention",
      "id": "6269"
    }, {
      "begin": 242,
      "code": "84698008",
      "end": 253,
      "text": "Cholesterol",
      "scheme": "SNOMEDCT_US",
      "type": "MedicationMention",
      "id": "6279"
    }, {
      "begin": 407,
      "code": "2623",
      "end": 411,
      "text": "Clotrimazole",
      "scheme": "RXNORM",
      "type": "MedicationMention",
      "id": "6289"
    }, {
      "begin": 407,
      "code": "5797005",
      "end": 411,
      "text": "Clotrimazole",
      "scheme": "SNOMEDCT_US",
      "type": "MedicationMention",
      "id": "6299"
    }, {
      "begin": 407,
      "code": "5797005",
      "end": 411,
      "text": "Clotrimazole",
      "scheme": "SNOMEDCT_US",
      "type": "MedicationMention",
      "id": "6309"
    }, {
      "begin": 407,
      "code": "387325003",
      "end": 411,
      "text": "Clotrimazole",
      "scheme": "SNOMEDCT_US",
      "type": "MedicationMention",
      "id": "6319"
    }, {
      "begin": 407,
      "code": "387325003",
      "end": 411,
      "text": "Clotrimazole",
      "scheme": "SNOMEDCT_US",
      "type": "MedicationMention",
      "id": "6329"
    }, {
      "begin": 407,
      "code": "2623",
      "end": 411,
      "text": "Clotrimazole",
      "scheme": "RXNORM",
      "type": "MedicationMention",
      "id": "6339"
    }, {
      "begin": 428,
      "code": "202421",
      "end": 436,
      "text": "Coumadin",
      "scheme": "RXNORM",
      "type": "MedicationMention",
      "id": "6349"
    }, {
      "begin": 428,
      "code": "202421",
      "end": 436,
      "text": "Coumadin",
      "scheme": "RXNORM",
      "type": "MedicationMention",
      "id": "6359"
    }, {
      "begin": 461,
      "code": "48698004",
      "end": 484,
      "text": "Calcium Channel Blockers",
      "scheme": "SNOMEDCT_US",
      "type": "MedicationMention",
      "id": "6369"
    }, {
      "begin": 461,
      "code": "373304005",
      "end": 484,
      "text": "Calcium Channel Blockers",
      "scheme": "SNOMEDCT_US",
      "type": "MedicationMention",
      "id": "6379"
    }, {
      "begin": 461,
      "code": "5540006",
      "end": 468,
      "text": "Calcium",
      "scheme": "SNOMEDCT_US",
      "type": "MedicationMention",
      "id": "6389"
    }, {
      "begin": 461,
      "code": "1895",
      "end": 468,
      "text": "Calcium",
      "scheme": "RXNORM",
      "type": "MedicationMention",
      "id": "6399"
    }, {
      "begin": 461,
      "code": "5540006",
      "end": 468,
      "text": "Calcium",
      "scheme": "SNOMEDCT_US",
      "type": "MedicationMention",
      "id": "6409"
    }, {
      "begin": 461,
      "code": "1895",
      "end": 468,
      "text": "Calcium",
      "scheme": "RXNORM",
      "type": "MedicationMention",
      "id": "6419"
    }, {
      "begin": 461,
      "code": "1895",
      "end": 468,
      "text": "Calcium",
      "scheme": "RXNORM",
      "type": "MedicationMention",
      "id": "6429"
    }, {
      "begin": 461,
      "code": "5540006",
      "end": 468,
      "text": "Calcium",
      "scheme": "SNOMEDCT_US",
      "type": "MedicationMention",
      "id": "6439"
    }, {
      "begin": 782,
      "code": "108661002",
      "end": 793,
      "text": "Histamine H2 Antagonists",
      "scheme": "SNOMEDCT_US",
      "type": "MedicationMention",
      "id": "6449"
    }, {
      "begin": 782,
      "code": "372524001",
      "end": 793,
      "text": "Histamine H2 Antagonists",
      "scheme": "SNOMEDCT_US",
      "type": "MedicationMention",
      "id": "6459"
    }, {
      "begin": 1326,
      "code": "unknown",
      "end": 1331,
      "text": "Today",
      "scheme": "sno_rx_16ab",
      "type": "MedicationMention",
      "id": "6469"
    }, {
      "begin": 1326,
      "code": "unknown",
      "end": 1331,
      "text": "Today",
      "scheme": "sno_rx_16ab",
      "type": "MedicationMention",
      "id": "6479"
    }, {
      "begin": 104,
      "code": "261424001",
      "end": 111,
      "text": "Primary operation",
      "scheme": "SNOMEDCT_US",
      "type": "ProcedureMention",
      "id": "6829"
    }, {
      "begin": 269,
      "code": "45211000",
      "end": 284,
      "text": "Catheterization",
      "scheme": "SNOMEDCT_US",
      "type": "ProcedureMention",
      "id": "6839"
    }, {
      "begin": 581,
      "code": "165079009",
      "end": 593,
      "text": "Exercise stress test",
      "scheme": "SNOMEDCT_US",
      "type": "ProcedureMention",
      "id": "6849"
    }, {
      "begin": 588,
      "code": "108252007",
      "end": 593,
      "text": "Laboratory Procedures",
      "scheme": "SNOMEDCT_US",
      "type": "ProcedureMention",
      "id": "6859"
    }, {
      "begin": 588,
      "code": "15220000",
      "end": 593,
      "text": "Laboratory Procedures",
      "scheme": "SNOMEDCT_US",
      "type": "ProcedureMention",
      "id": "6869"
    }, {
      "begin": 588,
      "code": "269814003",
      "end": 593,
      "text": "Laboratory Procedures",
      "scheme": "SNOMEDCT_US",
      "type": "ProcedureMention",
      "id": "6879"
    }, {
      "begin": 878,
      "code": "50465008",
      "end": 891,
      "text": "Herniorrhaphy",
      "scheme": "SNOMEDCT_US",
      "type": "ProcedureMention",
      "id": "6889"
    }, {
      "begin": 885,
      "code": "257903006",
      "end": 891,
      "text": "Surgical repair",
      "scheme": "SNOMEDCT_US",
      "type": "ProcedureMention",
      "id": "6899"
    }, {
      "begin": 885,
      "code": "4365001",
      "end": 891,
      "text": "Surgical repair",
      "scheme": "SNOMEDCT_US",
      "type": "ProcedureMention",
      "id": "6909"
    }, {
      "begin": 936,
      "code": "284401004",
      "end": 940,
      "text": "Joint Examination, Knee",
      "scheme": "SNOMEDCT_US",
      "type": "ProcedureMention",
      "id": "6919"
    }, {
      "begin": 168,
      "code": "417662000",
      "end": 188,
      "text": "PMH - past medical history",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6609"
    }, {
      "begin": 181,
      "code": "392521001",
      "end": 188,
      "text": "Medical History",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6619"
    }, {
      "begin": 218,
      "code": "55641003",
      "end": 228,
      "text": "Infarction",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6629"
    }, {
      "begin": 461,
      "code": "115568009",
      "end": 476,
      "text": "calcium channel activity",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6639"
    }, {
      "begin": 494,
      "code": "88952004",
      "end": 501,
      "text": "Thinking, function",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6649"
    }, {
      "begin": 542,
      "code": "45352006",
      "end": 547,
      "text": "Spasm",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6659"
    }, {
      "begin": 581,
      "code": "73595000",
      "end": 587,
      "text": "Stress",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6669"
    }, {
      "begin": 581,
      "code": "262188008",
      "end": 587,
      "text": "Stress",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6679"
    }, {
      "begin": 668,
      "code": "29857009",
      "end": 678,
      "text": "Chest Pain",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6689"
    }, {
      "begin": 674,
      "code": "22253000",
      "end": 678,
      "text": "Pain",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6699"
    }, {
      "begin": 682,
      "code": "230145002",
      "end": 701,
      "text": "Dyspnea",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6709"
    }, {
      "begin": 682,
      "code": "267036007",
      "end": 701,
      "text": "Dyspnea",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6719"
    }, {
      "begin": 712,
      "code": "392521001",
      "end": 719,
      "text": "Medical History",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6729"
    }, {
      "begin": 842,
      "code": "50960005",
      "end": 850,
      "text": "Hemorrhage",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6739"
    }, {
      "begin": 842,
      "code": "131148009",
      "end": 850,
      "text": "Hemorrhage",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6749"
    }, {
      "begin": 1009,
      "code": "392521001",
      "end": 1016,
      "text": "Medical History",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6759"
    }, {
      "begin": 1026,
      "code": "279043006",
      "end": 1038,
      "text": "Pain in buttock",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6769"
    }, {
      "begin": 1034,
      "code": "22253000",
      "end": 1038,
      "text": "Pain",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6779"
    }, {
      "begin": 1315,
      "code": "33962009",
      "end": 1325,
      "text": "Chief complaint (finding)",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6789"
    }, {
      "begin": 1315,
      "code": "409586006",
      "end": 1325,
      "text": "Chief complaint (finding)",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6799"
    }, {
      "begin": 1444,
      "code": "279043006",
      "end": 1456,
      "text": "Pain in buttock",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6809"
    }, {
      "begin": 1452,
      "code": "22253000",
      "end": 1456,
      "text": "Pain",
      "scheme": "SNOMEDCT_US",
      "type": "SignSymptomMention",
      "id": "6819"
    }, {
      "begin": 207,
      "code": "22298006",
      "end": 228,
      "text": "Myocardial Infarction",
      "scheme": "SNOMEDCT_US",
      "type": "DiseaseDisorderMention",
      "id": "6489"
    }, {
      "begin": 732,
      "code": "13200003",
      "end": 744,
      "text": "Peptic Ulcer",
      "scheme": "SNOMEDCT_US",
      "type": "DiseaseDisorderMention",
      "id": "6499"
    }, {
      "begin": 739,
      "code": "255321001",
      "end": 744,
      "text": "Ulcer",
      "scheme": "SNOMEDCT_US",
      "type": "DiseaseDisorderMention",
      "id": "6509"
    }, {
      "begin": 739,
      "code": "429040005",
      "end": 744,
      "text": "Ulcer",
      "scheme": "SNOMEDCT_US",
      "type": "DiseaseDisorderMention",
      "id": "6519"
    }, {
      "begin": 739,
      "code": "56208002",
      "end": 744,
      "text": "Ulcer",
      "scheme": "SNOMEDCT_US",
      "type": "DiseaseDisorderMention",
      "id": "6529"
    }, {
      "begin": 745,
      "code": "64572001",
      "end": 752,
      "text": "Disease",
      "scheme": "SNOMEDCT_US",
      "type": "DiseaseDisorderMention",
      "id": "6539"
    }, {
      "begin": 878,
      "code": "52515009",
      "end": 884,
      "text": "Hernia",
      "scheme": "SNOMEDCT_US",
      "type": "DiseaseDisorderMention",
      "id": "6549"
    }, {
      "begin": 878,
      "code": "414403008",
      "end": 884,
      "text": "Hernia",
      "scheme": "SNOMEDCT_US",
      "type": "DiseaseDisorderMention",
      "id": "6559"
    }, {
      "begin": 941,
      "code": "441457006",
      "end": 945,
      "text": "Cyst",
      "scheme": "SNOMEDCT_US",
      "type": "DiseaseDisorderMention",
      "id": "6569"
    }, {
      "begin": 941,
      "code": "367643001",
      "end": 945,
      "text": "Cyst",
      "scheme": "SNOMEDCT_US",
      "type": "DiseaseDisorderMention",
      "id": "6579"
    }, {
      "begin": 1211,
      "code": "64572001",
      "end": 1219,
      "text": "Syndrome",
      "scheme": "SNOMEDCT_US",
      "type": "DiseaseDisorderMention",
      "id": "6589"
    }, {
      "begin": 1259,
      "code": "386781001",
      "end": 1268,
      "text": "Spastic syndrome",
      "scheme": "SNOMEDCT_US",
      "type": "DiseaseDisorderMention",
      "id": "6599"
    }, {
      "begin": 324,
      "code": "59820001",
      "end": 331,
      "text": "Blood Vessel",
      "scheme": "SNOMEDCT_US",
      "type": "AnatomicalSiteMention",
      "id": "6929"
    }, {
      "begin": 668,
      "code": "51185008",
      "end": 673,
      "text": "Chest",
      "scheme": "SNOMEDCT_US",
      "type": "AnatomicalSiteMention",
      "id": "6939"
    }, {
      "begin": 668,
      "code": "261179002",
      "end": 673,
      "text": "Chest",
      "scheme": "SNOMEDCT_US",
      "type": "AnatomicalSiteMention",
      "id": "6949"
    }, {
      "begin": 930,
      "code": "6757004",
      "end": 940,
      "text": "Structure of right knee",
      "scheme": "SNOMEDCT_US",
      "type": "AnatomicalSiteMention",
      "id": "6959"
    }, {
      "begin": 936,
      "code": "304679005",
      "end": 940,
      "text": "Knee",
      "scheme": "SNOMEDCT_US",
      "type": "AnatomicalSiteMention",
      "id": "6969"
    }, {
      "begin": 1026,
      "code": "46862004",
      "end": 1033,
      "text": "Buttocks",
      "scheme": "SNOMEDCT_US",
      "type": "AnatomicalSiteMention",
      "id": "6979"
    }, {
      "begin": 1273,
      "code": "30021000",
      "end": 1277,
      "text": "Leg",
      "scheme": "SNOMEDCT_US",
      "type": "AnatomicalSiteMention",
      "id": "6989"
    }, {
      "begin": 1444,
      "code": "46862004",
      "end": 1451,
      "text": "Buttocks",
      "scheme": "SNOMEDCT_US",
      "type": "AnatomicalSiteMention",
      "id": "6999"
    }]

    var rawText = 'Mr. Smith is a 56-year-old gentleman formally followed at Carolina Premier who presents to obtain ' +
        'a new primary care physician secondary to insurance changes. He has a past medical history signifi' +
        'cant for a myocardial infarction in 1994. His cholesterol has been fine. Catheterization showed a ' +
        'possible "kink" in one of his vessels and it was thought that he had a possible "eddy" of current ' +
        'which led to a clot. He has been on Coumadin since then as well as a calcium channel blocker with ' +
        'the thought that there may have been a superimposed spasm. He has had several unremarkable stress ' +
        'tests since then. He works out on a Nordic-Track three times a week without any chest pain or short' +
        'ness of breath. He has a history of possible peptic ulcer disease in 1981. He was treated with H2 b' +
        'lockers and his symptoms resolved. He has never had any bleeding to his knowledge. He had a hernia ' +
        'repair bilaterally in 1989 and surgery for a right knee cyst in 1999, all of which went well. He al' +
        'so has about a year long history of right buttock pain. This happens only when he is sitting for so' +
        'me time and does not change position. It does not happen when he is walking or exercising. He wonder' +
        's if it might be pyriformis syndrome. If he changes positions frequently or stretches his legs, this' +
        ' seems to help. He has no acute complaints today and is here to get plugged into the system. He does' +
        ' wonder if there is anything else that can be done about his buttock pain.'

    var instance = new cTAKESFriendlyWebUi(jQuery, rawText, rawData)
    instance.processAndDisplayConcepts()
  </script>
</body>
</html>
